<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.system.mapper.SysOperationLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap" type="com.storlead.system.pojo.entity.SysOperationLogEntity">
        <id column="sys_operation_log_id" property="sysOperationLogId" />
        <result column="account" property="userName" />
        <result column="request_path" property="requestPath" />
        <result column="request_ip" property="requestIp" />
        <result column="request_time" property="requestTime" />
        <result column="log_type" property="logType" />
        <result column="description" property="description" />
        <result column="method" property="method" />
        <result column="parameter" property="parameter" />
        <result column="exception" property="exception" />
        <result column="time" property="time" />
        <result column="result" property="result" />
        <result column="address" property="address" />
        <result column="browser" property="browser" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        sys_operation_log_id, account, request_path, request_ip, request_time, log_type, description, method, parameter, exception, time, result, address, browser, <include refid="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.Base_Column_List"></include>
    </sql>

</mapper>
